---
title: "Confirms the given acceptance certificate."
url: "https://developer.tesma.com/apis/tesma-platform-api-v1/versions/333907fb-f0a7-4e20-b01e-c9915c73321a/paths/v1-leases-acceptanceCertificates-leaseCompanyNumber---acceptanceCertificateId--confirmation/post"
---

> Full API specification: https://developer.tesma.com/apis/tesma-platform-api-v1/versions/333907fb-f0a7-4e20-b01e-c9915c73321a.md

# Confirms the given acceptance certificate.

`POST` `/v1/leases/acceptanceCertificates/{leaseCompanyNumber}/{acceptanceCertificateId}/confirmation`

## Path parameters

- `leaseCompanyNumber` (integer, int32, required) - The lease company number.
- `acceptanceCertificateId` (integer, int32, required) - The acceptance certificate identifier.

## Header parameters

- `CorporateGroup-Name` (string, optional) - Corporate group key that assigns the currently selected corporate group to the request.

## Responses

- `200` - OK
- `400` - Bad Request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Not Found

## OpenAPI definition

```yaml
openapi: 3.1.1
info:
  title: tesma
  version: v1
servers:
  - url: https://api.tesma.com
paths:
  /v1/leases/acceptanceCertificates/{leaseCompanyNumber}/{acceptanceCertificateId}/confirmation:
    post:
      parameters:
        - description: The lease company number.
          in: path
          name: leaseCompanyNumber
          required: true
          schema:
            format: int32
            minimum: 1
            type: integer
        - description: The acceptance certificate identifier.
          in: path
          name: acceptanceCertificateId
          required: true
          schema:
            format: int32
            minimum: 1
            type: integer
        - description: Corporate group key that assigns the currently selected corporate
            group to the request.
          in: header
          name: CorporateGroup-Name
          schema:
            type: string
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ConfirmAcceptanceCertificateResponse"
          description: OK
        "400":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ValidationProblemDetails"
          description: Bad Request
        "401":
          description: Unauthorized
        "403":
          description: Forbidden
        "404":
          description: Not Found
      summary: Confirms the given acceptance certificate.
      tags:
        - AcceptanceCertificates
security:
  - PersonalAccessToken: []
components:
  schemas:
    ConfirmAcceptanceCertificateResponse:
      additionalProperties: false
      properties:
        message:
          type:
            - "null"
            - string
        responseCode:
          format: int32
          type: integer
      type: object
    ValidationProblemDetails:
      additionalProperties: {}
      properties:
        detail:
          type:
            - "null"
            - string
        errors:
          additionalProperties:
            items:
              type: string
            type: array
          type:
            - "null"
            - object
        instance:
          type:
            - "null"
            - string
        status:
          format: int32
          type:
            - "null"
            - integer
        title:
          type:
            - "null"
            - string
        type:
          type:
            - "null"
            - string
      type: object
  securitySchemes:
    PersonalAccessToken:
      description: Authentication using the Personal Access Token generated in tesma UI.
      in: header
      name: X-API-KEY
      type: apiKey
```
